#include <iostream>
#include <random>
#include <algorithm>
#include <vector>
#include <chrono>

int main() {
    std::vector<int> numbers = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};

    // Seed with a time-based value
    unsigned seed = std::chrono::system_clock::now().time_since_epoch().count();
    std::mt19937 gen(seed);

    std::cout << "Original vector: ";
    for (int num : numbers) {
        std::cout << num << " ";
    }
    std::cout << std::endl;

    // Shuffle the vector
    std::shuffle(numbers.begin(), numbers.end(), gen);

    std::cout << "Shuffled vector: ";
    for (int num : numbers) {
        std::cout << num << " ";
    }
    std::cout << std::endl;

    return 0;
}
