#include <iostream>
#include <random>
#include <vector>

void generateNumbers(std::mt19937& gen, std::vector<int>& numbers, int count) {
    std::uniform_int_distribution<> dis(1, 100);
    for (int i = 0; i < count; ++i) {
        numbers.push_back(dis(gen));
    }
}

int main() {
    const unsigned int SEED = 12345;
    const int COUNT = 5;

    std::mt19937 gen1(SEED);
    std::mt19937 gen2(SEED);

    std::vector<int> numbers1, numbers2;

    generateNumbers(gen1, numbers1, COUNT);
    generateNumbers(gen2, numbers2, COUNT);

    std::cout << "First set:  ";
    for (int num : numbers1) std::cout << num << " ";
    std::cout << std::endl;

    std::cout << "Second set: ";
    for (int num : numbers2) std::cout << num << " ";
    std::cout << std::endl;

    return 0;
}
